MissingParserProblemReporter (Mule ESB 2.2.1 API)
Keywords: org.mule.config.spring.MissingParserProblemReporter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring
Class MissingParserProblemReporter

    java.lang.Object
      org.springframework.beans.factory.parsing.FailFastProblemReporter
          org.mule.config.spring.MissingParserProblemReporter

All Implemented Interfaces:
  org.springframework.beans.factory.parsing.ProblemReporter

    public class MissingParserProblemReporter

extends org.springframework.beans.factory.parsing.FailFastProblemReporter

A very simple extension to `FailFastProblemReporter` that intercepts errors related to missing definition parsers to give a more helpful message. In the future we may want to replace this by something more sophisticated that allows different problems to be resolved by different "pluggable" components...

Field Summary
`static String` | `NO_PARSER_PREFIX`

Constructor Summary
`MissingParserProblemReporter()`

Method Summary
`protected org.springframework.beans.factory.parsing.Problem` | `extendProblemDetails(org.springframework.beans.factory.parsing.Problem problem)`
`void` | `fatal(org.springframework.beans.factory.parsing.Problem problem)`
`protected boolean` | `isMissingParser(org.springframework.beans.factory.parsing.Problem problem)`

Methods inherited from class org.springframework.beans.factory.parsing.FailFastProblemReporter
`error, setLogger, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NO_PARSER_PREFIX

    public static final String NO_PARSER_PREFIX

See Also:
  Constant Field Values

Constructor Detail

### MissingParserProblemReporter

    public MissingParserProblemReporter()

Method Detail

### fatal

    public void fatal(org.springframework.beans.factory.parsing.Problem problem)

  Specified by:
    `fatal` in interface `org.springframework.beans.factory.parsing.ProblemReporter`
  Overrides:
    `fatal` in class `org.springframework.beans.factory.parsing.FailFastProblemReporter`

### isMissingParser

    protected boolean isMissingParser(org.springframework.beans.factory.parsing.Problem problem)

### extendProblemDetails

    protected org.springframework.beans.factory.parsing.Problem extendProblemDetails(org.springframework.beans.factory.parsing.Problem problem)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.